ranges::views::drop_while_base_fn Struct Reference
Inheritance diagram for ranges::views::drop_while_base_fn:

## Public Member Functions

template<typename Rng , typename Pred , typename Proj >
CPP_TEMPLATE_AUX_0 | a (requires viewable_range< Rng > &&input_range< Rng > &&indirect_unary_predicate< composed< Pred, Proj >, iterator_t< Rng >>) aaauto operator()(Rng &&rng
template<typename Rng , typename Pred >
CPP_TEMPLATE_AUX_0 | a (requires viewable_range< Rng > &&input_range< Rng > &&indirect_unary_predicate< Pred, iterator_t< Rng >>) aaauto operator()(Rng &&rng

## Public Attributes

CPP_TEMPLATE_AUX_0 Pred Proj proj const | drop_while_view< all_t< Rng >, composed< Pred, Proj > >
CPP_TEMPLATE_AUX_0 Pred pred const | drop_while_view< all_t< Rng >, Pred >
CPP_TEMPLATE_AUX_0 Pred | pred

## Member Data Documentation

## drop_while_view< all_t< Rng >, composed< Pred, Proj > >

CPP_TEMPLATE_AUX_0 Pred Proj proj const ranges::views::drop_while_base_fn::drop_while_view< all_t< Rng >, composed< Pred, Proj > >

Initial value:
{
return {all(static_cast<Rng &&>(rng)),
compose(std::move(pred), std::move(proj))}
ranges::aux::move
constexpr move_fn move
Definition: move.hpp:52

## drop_while_view< all_t< Rng >, Pred >

CPP_TEMPLATE_AUX_0 Pred pred const ranges::views::drop_while_base_fn::drop_while_view< all_t< Rng >, Pred >

Initial value:
{
return {all(static_cast<Rng &&>(rng)), std::move(pred)}